#' @title Load combine file
#' 
#' @description
#' `load_combine` loads a csv combine file and transforms it in a list
#'
#' @param x string, path to the csv file to be read
#' 
#' @return list, TO BE PRECISED
#'
#' @export
#'
#' @encoding UTF-8

load_combine = function(x) {
    result = utils::read.csv2(x, row.names = 1, stringsAsFactors = FALSE)

    # To be sure that the result will be a named list!
    n = rownames(result)
    result = as.list(result[[1]])
    names(result) = n

    return(result)
}
