test_that("test extract_calendar",
    {
        typo = data.frame(
            type1 = c(
                "vineyard",
                "vineyard"
            ),
            type2 = c(
                "vineyard_local",
                "vineyard_default"
            )
        )

        calendar = list(
            local = data.frame(
                culture = "vineyard_local",
                phase = "harvest",
                start.week = 40
            ),
            default = data.frame(
                culture = c("vineyard", "vineyard_local"),
                phase = rep("harvest", 2),
                start.week = rep(45, 2)
            )
        )

        calendar = extract_calendar(calendar)

        expect_false(any((duplicated(names(calendar)))))
    }
)
