test_that("test prepare_calendar",
    {
        output = tempdir()
        path = init_path(
            output = file.path(output, "default")
        )

        typo = utils::read.csv2(find_data_path(
            path,
            name = "floodam.csv",
            field = "typology"
        ))

        prepare_culture(path)

        prepare_calendar(path)

        expect_identical(
            nrow(typo),
            length(find_output_files(path, "calendar.csv", "culture"))
        )
    }
)
