#' @title Load damage
#'
#' @description 
#' Loads damage 
#' 
#' @param x character, the name of the file which the data are to be read from
#' @param variable character, name of damage to be selected, default to "damage"
#' @param hazard character, hazard parameters, default to floodam.agri::HAZARD
#'
#' @return data.frame of damage and hazard parameters
#'
#' @export
#'
#' @encoding UTF-8

load_damage = function(x, variable = "damage", hazard = floodam.agri::HAZARD) {
    result = utils::read.csv2(x)
#    sel = colnames(result)[hazard %in% colnames(result)]

#    if (length(sel) == 0)
#        stop(gsub("XXX", paste(hazard, collapse = " - "), "Any of XXX found in damage!"))
#    if (!all(variable %in% colnames(result)))
#        stop(gsub("XXX", paste(variable, collapse = " - "), "Some of XXX not found in damage!"))

#    sel = c(sel, variable)
    result[c(variable, hazard)]
}
