#' @title Load hazard level
#'
#' @description 
#' Loads hazard level, TO BE PRECISED
#' 
#' @param x character, the name of the file which the data are to be read from
#'
#' @return TO BE PRECISED
#'
#' @export
#'
#' @encoding UTF-8

load_hazard_level = function(x) {
    result = utils::read.csv2(x, row.names = 1)
    result = apply(
        result,
        1,
        function(x) {as.character(seq(x[1], x[2], x[3]))}
    )

    # To be sure that the result will be a named list!
    if (!is.list(result)) {
        n = colnames(result)
        result = lapply(n, function(x) {result[ ,x]})
        names(result) = n
    }

    return(result)
}
